Skip to main content
GET
/
v1
/
subscribers
/
{subscriberId}
/
notifications
/
unseen
PHP
declare(strict_types=1);

require 'vendor/autoload.php';

use novu;

$sdk = novu\Novu::builder()
    ->setSecurity(
        'YOUR_SECRET_KEY_HERE'
    )
    ->build();



$response = $sdk->subscribersNotifications->getUnseenCount(
    subscriberId: '<id>',
    seen: false,
    limit: 100

);

if ($response->unseenCountResponse !== null) {
    // handle response
}
{
  "count": 123
}

Authorizations

Authorization
string
header
required

API key authentication. Allowed headers-- "Authorization: ApiKey <novu_secret_key>".

Headers

idempotency-key
string

A header for idempotency purposes

Path Parameters

subscriberId
string
required

Query Parameters

seen
boolean
default:false

Indicates whether to count seen notifications.

limit
number
default:100

The maximum number of notifications to return.

Response

OK

count
number
required